Gets a resource
curl --request GET \
--url https://use.hoop.dev/api/resources/{name}import requests
url = "https://use.hoop.dev/api/resources/{name}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://use.hoop.dev/api/resources/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_id": "1837453e-01fc-46f3-9e4c-dcf22d395393",
"created_at": "2024-07-25T15:56:35.317601Z",
"env_vars": {},
"id": "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7",
"name": "my-resource",
"subtype": "mysql",
"type": "database",
"updated_at": "2024-07-25T15:56:35.317601Z"
}{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}Resources
Gets a resource
Gets a resource by ID for the organization.
GET
/
resources
/
{name}
Gets a resource
Path Parameters
The resource name
Response
OK
The agent associated with this resource
Example:
"1837453e-01fc-46f3-9e4c-dcf22d395393"
The time the resource was created
Example:
"2024-07-25T15:56:35.317601Z"
The resource environment variables
Show child attributes
Show child attributes
The resource ID
Example:
"15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7"
The resource name
Example:
"my-resource"
The resource subtype
Example:
"mysql"
The resource type
Example:
"database"
The time the resource was updated
Example:
"2024-07-25T15:56:35.317601Z"
Was this page helpful?